{
  description = "IRC bot for internet radio service";

  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = nixpkgs.legacyPackages.${system}; in
      rec {
        packages = flake-utils.lib.flattenTree {
          radio-bot = import ./default.nix { inherit pkgs; inherit self; };
        };
        defaultPackage = packages.radio-bot;
        apps.radio-bot = flake-utils.lib.mkApp { drv = packages.radio-bot; };
        defaultApp = apps.radio-bot;
      }
    );
}
